¡Atención!
El objeto de noticias que estás visualizando está en el formato de la antigua web. Puede haber problemas de presentación en algunas versiones de navegadores.

Cerrar

Update 9.15.1: Technical Aspects

Version 9.15.1 slightly differs from the World of Tanks updates players are used to: the importance of the technical part of this patch prevails over the game content visible to players. The most important technical feature will be the transferring of the game's battle interface to the latest version of the ActionScript 3.0 programming language. In this article, we will explain the purpose of this change, what the advantages of ActionScript 3.0 are, and how to avoid any inconveniences after the update's release.

 

Why do we need the new version of ActionScript 3.0

ActionScript 2.0 was used for interface-development solutions at the time of the game's release. In 2015, the World of Tanks Garage was transferred to ActionScript 3.0, and with Version 9.15.1, the game's battle interface will be fully transferred into this new version. In general, after transferring to the new platform, the performance of the client in version 9.15.1 will remain the same or will slightly improve. However, transferring to ActionScript 3.0 provides new opportunities to optimise the game client. Also, the process of creating modifications will be more convenient, as there will be more opportunities for mod makers to use AutoDesk Scaleform.

 

Game client performance modifications

When developing a new platform for the battle interface, Wargaming worked closely with the most popular mod makers. Thanks to the work done previously, we were able to significantly reduce the performance risks of third-party client modifications.

Important! It is not recommended to install mods from a previous version of World of Tanks, or move mods from a previous version to the 9.15.1 folder, as it may lead to the game being unstable.

Despite close cooperation between the World of Tanks development team and mod makers, unfortunately some modifications may potentially be unavailable for some time, as their installation might lead to technical problems. For this reason, it is not recommended to install the following mods to the game client:

XVM:

  • All components

Other:

  • Deluxe damage panel (custom damage panel)
  • Chat with message history
  • Tank icons

Problem using modifications

There are many players who play using different client modifications. We remind you that these modifications are not created by Wargaming, but by third-party developers and users. So, with the release of official World of Tanks updates, issues can occur with your game client due to these modified files: things such as decreased game performance, freezes, crashes, missing textures and other problems. In most cases, such problems are solved by deleting the game modification – however, sometimes a complete clean reinstall of the game is needed.

Important: Wargaming is not responsible for game-client issues due to modified files.

We remind you that since the release of version 9.12, it is possible to turn game modifications on and off. If you have any problems, try to run the game in safe mode:

  • Run the launcher
  • Click the arrow near the "PLAY" button
  • Choose “Launch the game in safe mode”
Cerrar